Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Functions | Variables

# Package gui.DirectGuiTest

## Functions
def | dummyCmd
def | expand
def | ouch
def | printDialogValue
def | printEntryText
def | shrink
## Variables
list | __all__ = []
tuple | customDialog
tuple | customValues
tuple | db
list | dbArray = []
tuple | de1
tuple | dl = DirectFrame(image = 'models/maps/noise.rgb')
tuple | fancyDialog
tuple | simpleDialog
tuple | smiley = loader.loadModel('models/misc/smiley')

## Detailed Description

    Undocumented Module

## Function Documentation

def gui.DirectGuiTest.dummyCmd | ( |  | index | ) |

def gui.DirectGuiTest.expand | ( |  | db | ) |

def gui.DirectGuiTest.ouch | ( |  | db | ) |

def gui.DirectGuiTest.printDialogValue | ( |  | value | ) |

def gui.DirectGuiTest.printEntryText | ( |  | text | ) |

def gui.DirectGuiTest.shrink | ( |  | db | ) |

## Variable Documentation

list __all__ = []

tuple customDialog

Initial value:

    00001 DirectDialog(text = 'Pick a number',
    00002                                 buttonTextList = map(str, range(10)),
    00003                                 buttonValueList = range(10),
    00004                                 command = printDialogValue)

tuple customValues

Initial value:

    00001 YesNoDialog(text = 'Not Quite So Simple',
    00002                                buttonValueList = ['Yes', 'No'],
    00003                                command = printDialogValue)

tuple db

Initial value:

    00001 DirectButton(parent = dl,
    00002                           image = 'models/maps/noise.rgb',
    00003                           geom = smiley,
    00004                           text = ('Hi!', 'Ouch!', 'Bye!', 'ZZZZ!'),
    00005                           scale = .15, relief = 'raised',
    00006                           # Here we set an option for a component of the button
    00007                           geom1_color = Vec4(1, 0, 0, 1),
    00008                           # Here is an example of a component group option
    00009                           text_pos = (.6, -.8),
    00010                           # Set audio characteristics
    00011                           clickSound = DirectGuiGlobals.getDefaultClickSound(),
    00012                           rolloverSound = DirectGuiGlobals.getDefaultRolloverSound()
    00013                           )

list dbArray = []

tuple de1

Initial value:

    00001 DirectEntry(initialText = 'Hello, how are you?',
    00002                       image = 'models/maps/noise.rgb',
    00003                       image_pos = (4.55, 0, -2.55),
    00004                       image_scale = (5.5, 1, 4),
    00005                       command = printEntryText,
    00006                       pos = (-1.1875, 0, 0.879167),
    00007                       scale = 0.0707855,
    00008                       cursorKeys = 1,
    00009                       )

tuple dl = DirectFrame(image = 'models/maps/noise.rgb')

tuple fancyDialog

Initial value:

    00001 YesNoDialog(text = 'Testing Direct Dialog',
    00002                               geom = smiley,
    00003                               geom_scale = .1,
    00004                               geom_pos = (-0.3, 0, 0),
    00005                               command = printDialogValue)

tuple simpleDialog

Initial value:

    00001 YesNoDialog(text = 'Simple',
    00002                                command = printDialogValue)

tuple smiley = loader.loadModel('models/misc/smiley')

All Classes Namespaces Functions Variables Enumerations Enumerator Properties